@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');


body{
    margin: 0;
}
/*Base.twig*/
.main-header{
    background:#B6B6FC;
    padding: 20px;
}
.nav{
    display:flex;
    justify-content: space-between;
    align-items: center;
}

.logo{
    margin-left: 50px;
}
.logo a{
    color: white;
    font-weight: bold;
    text-decoration: none;
}
.nav_link{
    display: flex;
    list-style: none;
    gap: 20px;
    margin-right: 50px;
}

.nav_link li{
    position:relative;
}

.nav_link a{
    color:black;
    text-decoration: none;
    font-family: 'Montserrat', sans-serif;
    font-size: 18px;
}

.sub-menu {
    display: none; 
    position: absolute;
    top: 100%; 
    left: 0;
    background-color: #B6B6FC; 
    list-style: none;
    padding: 10px 0;
    min-width: 180px;
    z-index: 100;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
}
.nav_link li:hover > .sub-menu {
    display: block !important;
}

.sub-menu li {
    padding: 5px 20px;
}

.sub-menu li a {
    font-size: 0.9rem;
    white-space: nowrap;
}
/*Home.twig*/
.hero {
    background-color: #2B2B80;
    color: white;
    font-family: 'Mentserrat', sans-serif;
    border-bottom-left-radius: 40px;
    border-bottom-right-radius: 40px;
}
.title-section{
    display: flex;
    align-items: center;
    width: 100%;
}
.title-section h1{
    text-align: center;
    font-size: 50px;
    width:33.33%;
}
.title-section-line{
    border:1px solid  white;
    width: 33.33%;
}
.hero p{
    text-align: center;
    font-family: 'Mentserrat', sans-serif;
    font-size: 18px;
}
.hero img{
    display: block;
    margin: 0 auto;
}

.section-joueurs h2, .section-tournois h2, .section-moments h2, .joueur-stats h2, .moment-legendaire h2, .joueur-bio h2, .moments-header h2{
    text-align: center;
    font-family: 'Mentserrat', sans-serif;
    font-size: 26px;
    margin-top: 60px;
}
.grid-joueurs{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
}
.card-joueur{
    background-color: #2B2B80;
    border-radius: 20px;
    display: flex;
    color: white;
    font-family: 'Mentserrat', sans-serif;
    height: fit-content;
    width: fit-content;
    padding: 20px;
    margin-top: 24px;
}
.card-joueur img{
    width: 130px;
    height: 130px;
}

.line{
    display: block;
    border: 1px solid #FFC240;
    width: 100%;
}
.card-joueur_info{
    margin-left: 12px;
}
.card-joueur_info a{
    background: #FFC240;
    color: black;
    border-radius: 10px;
    padding: 8px;
    text-decoration: none;
    margin-bottom: 4px;
}

.section-tournois{
    margin-top: 120px;
}

.grid-tournois{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 60px;
}

.card-tournoi img{
    height: 300px;
    width: auto;
}

.card-tournoi p{
    text-align: center;
    font-family: 'Mentserrat', sans-serif;
    font-size: 16px;

}

.grid-moments{
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.moment-link{
    background-color: #FFC240;
    color: black;
    border-radius: 20px;
    padding: 20px;
    margin: 60px  0;
    font-family: 'Mentserrat', sans-serif;
    text-decoration: none;
}

/*single-player.twig*/
.joueur-hero{
    background-color: #2B6489;
    color: white;
    font-family: 'Mentserrat', sans-serif;
    padding-bottom:40px ;

}
.joueur-title{
    display: flex;
    flex-direction: row;
    flex-wrap:nowrap;
    align-items: center;
    justify-content: space-between;
}

.joueur-title-line{
    display: block;
    border: 1px solid  white;
    width: 33.33%;
}

.joueur-title-main{
    text-align: center;
    font-size: 40px;
    width: 33.33%;
}

.hero_info{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
.hero_info img{
    height: 220px;
    width: auto;
}
.icon-trophy{
    background-image: url(../megatheme/assets/images/coupe.png);
    height: 100px;
    width: 100px;
    margin-bottom: 8px;
}
.icon-win{
    background-image: url(../megatheme/assets/images/titre.png);
    height: 100px;
    width: 100px;
    margin-bottom: 8px;
}
.icon-hand{
    background-image: url(../megatheme/assets/images/main.png);
    height: 100px;
    width: 100px;
    margin-bottom: 8px;
}
.icon-surface{
    background-image: url(../megatheme/assets/images/herbe.png);
    height: 100px;
    width: 100px;
    margin-bottom: 8px;
}
.stat-card{
    background-color: #2B6489;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: fit-content;
    padding: 20px;
    color: white;
    font-family: 'Mentserrat', sans-serif;
}
.stat-card span{
    margin-bottom: 8px;
}
.stats-grid{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.card-moment{
    background: #FFC240;
    color: black;
    border-radius: 10px;
    padding:8px  16px;
    text-decoration: none;
    margin-bottom: 4px;
    font-family: 'Mentserrat', sans-serif;
}

.card-moment a{
    color: black;
}

.bio-text{
    font-family: 'Mentserrat', sans-serif ;
    font-size: 16px;
    line-height: 140%;
    display: flex;
    margin: 0 50px;
}
.joueur-nav a{
    background: #FFC240;
    color: black;
    border-radius: 10px;
    padding:8px  16px;
    text-decoration: none;
    margin-bottom: 4px;
    font-family: 'Mentserrat', sans-serif;
    align-items: center;
}
.joueur-nav{
    display: flex;
    justify-content:space-evenly ;
    margin-top: 80px;
    height: fit-content;
    width: 100%;

}

/*Higlights*/
.moments-header{
    background-color: #2B2B80;
    font-family: 'Mentserrat', sans-serif;
    color: white;
}
.moments-header div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.moments-header h2{
    text-align: center;
    font-size: 40px;
    width: 33.33%;
    margin-top: 40px;
}
.moments-header img{
    display: block;
    margin: 0 auto;
}

.filters-section{
    text-align: center;
}

.filters-section .f_joueur, .f_tournoi, .annee, .btn, .btn-reset{
    background: #FFC240;
    color: black;
    border: none;
    border-radius: 4px;
    padding:8px  16px;
    text-decoration: none;
    font-family: 'Mentserrat', sans-serif;
    align-items: center;
    padding: 8px 16px;
    margin: 60px  8px 0 8px;
    font-size: 16px;
}
.card-moment{
    background: #FFC240;
    color: black;
    border-radius: 10px;
    padding:8px  16px;
    text-decoration: none;
    margin-bottom: 4px;
    font-family: 'Mentserrat', sans-serif;
}

.moments-container .card-moment{
    background: #2B2B80;
    color: white;
    border-radius: 10px;
    padding: 8px  16px;
    text-decoration: none;
    font-family: 'Mentserrat', sans-serif;
    width: 60%;
    padding: 20px 40px;
    margin: 16px 0;
    height: fit-content;
}
.moments-container .grid-moments{
    display: flex;
    flex-direction:column ;
    margin-top: 60px;
}

.moments-container .card-moment h3{
    margin-bottom: 0;
}

.btn-moments{
    margin-top: 40px;
    background: #FFC240;
    color: black;
    border: none;
    border-radius: 4px;
    padding: 8px 16px;
    text-decoration: none;
}

/*A propos*/
.a-propos_content{
    background-color: #2B2B80;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 40px 0;
}

.a-propos h1{
    text-align: center;
    font-family: 'Mentserrat', sans-serif;
    width: 33.33%;
    font-size: 40px;
}
.a-propos h2{
    font-family: 'Mentserrat', sans-serif;
    font-size: 30px;
    font-weight: bold;
    margin: 40px 50px;
}
.a-propos p{
    font-family: 'Mentserrat', sans-serif;
    font-size: 18px;
    margin: 0 50px;  
}

/*Tournois*/
.tournois-header{
    font-family:'Mentserrat', sans-serif;
    color: white;
    background-color: #A3480F;
    font-size: 40px;
    text-align: center;
    padding: 40px 0;
}

.image_texte{
    display: flex;
    font-family:'Mentserrat', sans-serif;
    align-items: center;
    justify-content: space-evenly;
    margin: 50px;
}

.image_texte img{
    width: 30%;
    margin: 0 0 0 50px ; 
}
.texte{
    font-size: 18px;
    margin-bottom: 4px;
}

.tournois h3{
    text-align: center;
    font-family:'Mentserrat', sans-serif;
    font-size: 30px;
    margin-top: 60px;
}

.biographie{
    font-size: 16px;
    font-family:'Mentserrat', sans-serif;
    margin: 0 150px;
    line-height: 180%;
}

/*Moment*/
.page_moment{
    font-family:'Mentserrat', sans-serif;
}

.moment-joueur-title{
    font-size: 40px;
    background-color: #2B2B80;
    padding : 40px 0;
    color: white;
    text-align: center;
    margin: 0;
}

.moment-info{
    margin-bottom: 50px;
}

.moment-info h2{
    background-color: #2B2B80;
    border-radius: 8px;
    padding: 12px;
    color: #FFC240;
    width: fit-content;
    margin-left:50px ;
}
.score-final table{
    padding-top: 12px;
}

.resume h2, .fait_marquant h2, .avis_csv h2{
    background-color: #2B2B80;
    color: white;
    margin-left: 50px;
    border-radius:8px;
    height: fit-content;
    width: fit-content;
    padding:12px;
}
.resume_text, .fait_marquant_text, .avis_csv_text{
    font-size: 18px;
    margin: 40px 0 40px 50px;
}

.fait_marquant_text{
    line-height: 180%;
}

.avis_csv_text{
    text-align: center;
}


